Skip to content
This repository has been archived by the owner. It is now read-only.

No resource identifier found for attribute 'appComponentFactory' in package 'android' #551

Closed
cnevinc opened this Issue May 22, 2018 · 20 comments

Comments

@cnevinc
Copy link

cnevinc commented May 22, 2018

After adding

implementation "androidx.core:core-ktx:${Versions.kotlin_ktx}"

my build failed with error

No resource identifier found for attribute 'appComponentFactory' in package 'android'
Message{kind=ERROR, text=No resource identifier found for attribute 'appComponentFactory' in package 'android', sources=[/Users/mozilla/Desktop/github/Rocket/app/build/intermediates/manifests/full/focusWebkit/firebase/AndroidManifest.xml:34], original message=, tool name=Optional.of(AAPT)}

Here's my build.gradle file
https://github.com/mozilla-tw/Rocket/blob/master/firebase/build.gradle

Thanks!

More details: mozilla-tw/FirefoxLite#1970

@JakeWharton

This comment has been minimized.

Copy link
Member

JakeWharton commented May 22, 2018

That attribute was added in Android P. core-ktx 1.0.0 depends on core 1.0.0 which requires compilation with Android P.

@djjterror

This comment has been minimized.

Copy link

djjterror commented Jun 8, 2018

same error here... how to fix this?

@kenvernaillenvub

This comment has been minimized.

Copy link

kenvernaillenvub commented Jun 10, 2018

Any news on this?

@YaroslavG

This comment has been minimized.

Copy link

YaroslavG commented Jun 10, 2018

I have the same errors in my logs.

@JakeWharton

This comment has been minimized.

Copy link
Member

JakeWharton commented Jun 10, 2018

That attribute was added in Android P. core-ktx 1.0.0 depends on core 1.0.0 which requires compilation with Android P.

@YaroslavG

This comment has been minimized.

Copy link

YaroslavG commented Jun 10, 2018

Thanks for your answer! that means need install Android P sdk ?

@djjterror

This comment has been minimized.

Copy link

djjterror commented Jun 10, 2018

@JakeWharton
So what can i do about it?
I use Cocoon for compiling.
Do i need some plugin or what?

@JakeWharton

This comment has been minimized.

Copy link
Member

JakeWharton commented Jun 10, 2018

@mykelsofty

This comment has been minimized.

Copy link

mykelsofty commented Jul 5, 2018

try this code
cordova plugin add cordova-android-support-gradle-release --variable ANDROID_SUPPORT_VERSION=27.+

@alatella87

This comment has been minimized.

Copy link

alatella87 commented Jul 8, 2018

@mykelsofty solution worked for me. Seems related to :mergeDebugResources?

@BrunoGiubilei

This comment has been minimized.

Copy link

BrunoGiubilei commented Jul 23, 2018

@mykelsofty best answer! work fine for me! tks alot

@loonix

This comment has been minimized.

Copy link

loonix commented Jul 26, 2018

@mykelsofty worked for me as well, thanks!

@fetot

This comment has been minimized.

Copy link

fetot commented Jul 28, 2018

Below solved the same issue.
Try installing android p sdk and change compileSdkVersion value to 28

@Cdvalencia

This comment has been minimized.

Copy link

Cdvalencia commented Sep 20, 2018

@mykelsofty Thank´s, i've lost 1 day shearching this solution.

@Garynan52000

This comment has been minimized.

Copy link

Garynan52000 commented Sep 26, 2018

@mykelsofty It's really helpful, thank's!

@angelpatxi

This comment has been minimized.

Copy link

angelpatxi commented Sep 27, 2018

best answer! work fine for me! tks alot

@BrianOjeda

This comment has been minimized.

Copy link

BrianOjeda commented Sep 28, 2018

@mykelsofty Thank you very much!!

@zfy603206328

This comment has been minimized.

Copy link

zfy603206328 commented Oct 12, 2018

@mykelsofty Where is this code written?

@pravinraut809

This comment has been minimized.

Copy link

pravinraut809 commented Oct 26, 2018

Where to add this code

@larryvisuals

This comment has been minimized.

Copy link

larryvisuals commented Oct 30, 2018

@mykelsofty Thanks! You save my day!

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can’t perform that action at this time.